Skip to Content
SendlySendly
API ReferenceAccount

Get the signed-in user's profile

GET
/api/users/me

Requires the account:read scope — See your profile and notification preferences.

cookiebetter-auth.session_token<token>

BetterAuth session cookie. Used by the dashboard / browser clients. When present, the active project is taken from the x-project-id header.

Response Body

OK

application/json
  1. response
id*string
email*string
name*string
image*string|null
currency*string

ISO 4217 code this account is quoted and charged in.

currencyIsUsdFallback*boolean
deletionScheduledAt*|

When deletion was asked for; null when none is pending.

Formatdate-time
purgeAfter*|

When the deletion becomes final; null when none is pending.

Formatdate-time
Example Request
curl -X GET 'https://api.sendly.now/api/users/me'
Example Response
{  "id": "string",  "email": "string",  "name": "string",  "image": "string",  "currency": "string",  "currencyIsUsdFallback": true,  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "purgeAfter": "2019-08-24T14:15:22Z"}